######################################################################
## Example 4 in Zeng, He, and Zhu (2010)
######################################################################

rm(list = ls())
source("sim-lasso.R")
dyn.load("sim-lasso-clib.dll")
## dyn.load("sim-lasso-clib.so")   ### if Unix/Linux or MacOS

ozone = read.table("ozone.txt", h = T)

y = ozone$OZONE
x1 = ozone$RADIATIO
x2 = ozone$TEMPERAT
x3 = ozone$WIND
x4 = x1 * x1
x5 = x2 * x2
x6 = x3 * x3
x7 = x1 * x2
x8 = x1 * x3
x9 = x2 * x3
xraw = cbind(x1, x2, x3, x4, x5, x6, x7, x8, x9)
x = scale(xraw)

h0 = 1.06 * median(sd(x)) * length(y)^(-1/5)
lda.seq = seq(0, 0.02, length = 51)
fit = sim.lasso.path(y, x, h0, lda.seq)

### figure 3

cutindex = (rowSums(fit$beta^2) != 0)

matplot(lda.seq[cutindex], fit$beta[cutindex, ],  
        type = "l", xlab = "", ylab = "")
mtext("labmda", side = 1, line = 2.5)
mtext("theta", side = 2, line = 2.5)

######################################################################
## END OF THE FILE
######################################################################
